<script lang="ts">
import { defineComponent } from 'vue';
import JDraggable from '../JDraggable.vue';
import JResizer from '../../../shared/JResizer';

export default defineComponent({
  components: {
    JDraggable,
    JResizer,
  },
});
</script>

<template>
  <JDraggable v-slot="slotProps">
    <JResizer v-slot="resizerProps" v-bind="$attrs">
      <div ref="blockRef" v-bind="{ ...slotProps, ...resizerProps }" class="container">
        <h4>Draggable and resize element</h4>
      </div>
    </JResizer>
  </JDraggable>
</template>

<style scoped lang="scss">
.container {
  cursor: grab;
  border: 1px black solid;
}
</style>
